#554 HttpNotFoundException while attempting to synchronize calendar

v4.4.0
closed-fixed
nobody
None
5
2014-02-06
2013-12-27
friflaj
No

I'm seeing lines like these in my logs:

2013-12-27 20:37:35,217 DEBUG [CaldavConnection-53193] davmail.caldav.CaldavConnection - AAMkAGY4MTJhNzZiLTRiMGEtNGJkNy04OTdlLWEzZWY5YTA0NDQ5NwBGAAAAAAC1kYv2T547QpTtHZUPik5iBwDVuPHHwICUQ5Qx2MrhCR3zAAAEjL9tAABeLNDuiYWRQriTQ4leiX-tAAANEXSgAAA=.EML not found in /users/emiliano.heyns@han.nl/calendar
davmail.exception.HttpNotFoundException: AAMkAGY4MTJhNzZiLTRiMGEtNGJkNy04OTdlLWEzZWY5YTA0NDQ5NwBGAAAAAAC1kYv2T547QpTtHZUPik5iBwDVuPHHwICUQ5Qx2MrhCR3zAAAEjL9tAABeLNDuiYWRQriTQ4leiX-tAAANEXSgAAA=.EML not found in /users/emiliano.heyns@han.nl/calendar
at davmail.exchange.ews.EwsExchangeSession.getItem(EwsExchangeSession.java:1896)
at davmail.caldav.CaldavConnection.reportItems(CaldavConnection.java:749)
at davmail.caldav.CaldavConnection.handleFolderOrItem(CaldavConnection.java:282)
at davmail.caldav.CaldavConnection.handleRequest(CaldavConnection.java:225)
at davmail.caldav.CaldavConnection.run(CaldavConnection.java:169)

Discussion

1 2 > >> (Page 1 of 2)
    • status: open --> open-fixed
     
  • Probably related to commit 2201, regression fixed in subversion

     
  • Termo
    Termo
    2014-01-06

    I still have this issue from rev. 2201 in current rev. 2205...

    Using thunderbird 24.2.0 with lightning 2.6.4 on Ubuntu

     
    Last edit: Termo 2014-01-06
  • Ok, I may have to adjust regexp again, can you please provide another itemid not working with latest revision ?

     
  • Termo
    Termo
    2014-01-10

    I'm not sure what you mean by itemid but, if' it's a similar error log as by friflaj then:

    2014-01-10 09:20:05,604 DEBUG [CaldavConnection-58186] davmail.caldav.CaldavConnection  - AAMkADgxMGNlOWMwLWU2YjYtNDlkMi1hNGFmLTY0YWM4NzJlNTlkZgBGAAAAAADhr8cZRSH1SJpz-OvyBDRkBwCVu8gBNqK1RpaPOhdylq_7AAAAwiY_AAD8mOzYt1QbRKRMqUYFfdudACu3zg4TAAA=.EML not found in /users/***@*********.**/calendar
    davmail.exception.HttpNotFoundException: AAMkADgxMGNlOWMwLWU2YjYtNDlkMi1hNGFmLTY0YWM4NzJlNTlkZgBGAAAAAADhr8cZRSH1SJpz-OvyBDRkBwCVu8gBNqK1RpaPOhdylq_7AAAAwiY_AAD8mOzYt1QbRKRMqUYFfdudACu3zg4TAAA=.EML not found in /users/***@*********.**/calendar
        at davmail.exchange.ews.EwsExchangeSession.getItem(EwsExchangeSession.java:1896)
        at davmail.caldav.CaldavConnection.reportItems(CaldavConnection.java:748)
        at davmail.caldav.CaldavConnection.handleFolderOrItem(CaldavConnection.java:281)
        at davmail.caldav.CaldavConnection.handleRequest(CaldavConnection.java:224)
        at davmail.caldav.CaldavConnection.run(CaldavConnection.java:168)
    2014-01-10 09:20:05,604 WARN  [CaldavConnection-58186] davmail  - Item AAMkADgxMGNlOWMwLWU2YjYtNDlkMi1hNGFmLTY0YWM4NzJlNTlkZgBGAAAAAADhr8cZRSH1SJpz-OvyBDRkBwCVu8gBNqK1RpaPOhdylq_7AAAAwiY_AAD8mOzYt1QbRKRMqUYFfdudACu3zg4TAAA=.EML not available: /users/***@*********.**/calendar/AAMkADgxMGNlOWMwLWU2YjYtNDlkMi1hNGFmLTY0YWM4NzJlNTlkZgBGAAAAAADhr8cZRSH1SJpz-OvyBDRkBwCVu8gBNqK1RpaPOhdylq_7AAAAwiY_AAD8mOzYt1QbRKRMqUYFfdudACu3zg4TAAA=.EML
    

    now updated to rev 2206, but still the same issue.

     
  • Termo
    Termo
    2014-01-15

    still same issue on 2208...

     
  • Strange, with the above id isItemId returns true:

    public class TestBase64 {
    protected static boolean isItemId(String itemName) {
    return itemName.length() >= 152
    // item name is base64url
    && itemName.matches("^([A-Za-z0-9-_]{4})*([A-Za-z0-9-_]{4}|[A-Za-z0-9-_]{3}=|[A-Za-z0-9-_]{2}==)$");
    }

    public static void main(String[] argv) {
        System.out.println(isItemId("AAMkADgxMGNlOWMwLWU2YjYtNDlkMi1hNGFmLTY0YWM4NzJlNTlkZgBGAAAAAADhr8cZRSH1SJpz-OvyBDRkBwCVu8gBNqK1RpaPOhdylq_7AAAAwiY_AAD8mOzYt1QbRKRMqUYFfdudACu3zg4TAAA="));
    }
    

    }

     
  • Termo
    Termo
    2014-01-28

    Still no idea of why the calendar doesn't work after rev 2200?

     
  • Sure, it's related to isItemId changes
    => reverted to a less strict test in latest commiy

     
  • Termo
    Termo
    2014-01-30

    Yep, now it works in latest revision (2221) for me also :)

     
1 2 > >> (Page 1 of 2)